## visad.java3d
Class AnimationRendererJ3D

    java.lang.Object
      visad.DataRenderer
          visad.java3d.RendererJ3D
              visad.java3d.DefaultRendererJ3D
                  visad.java3d.AnimationRendererJ3D

All Implemented Interfaces:
  Cloneable

public class AnimationRendererJ3D
extends DefaultRendererJ3D

Field Summary
`(package private) boolean` `animation1D`
`(package private) String` `nameMappedToAnimation`

Fields inherited from class visad.java3d.DefaultRendererJ3D
`link`

Fields inherited from class visad.java3d.RendererJ3D
`branches, branchNonEmpty, sw, switchFlags, swParent`

Fields inherited from class visad.DataRenderer
`enabled, pickCrawlToCursor`

Constructor Summary
`AnimationRendererJ3D()`

Method Summary
`void` `clearScene()` clear any scene graph created by this DataRenderer, and clear all instance variables
`Object` `clone()`
`javax.media.j3d.BranchGroup` `doTransform()` create a BranchGroup scene graph for Data in links[0]
`boolean` `getReUseFrames()`
`boolean` `getSetSetOnReUseFrames()`
`static void` `main(String[] args)`

`ShadowType`

`makeShadowFunctionType(FunctionType type, DataDisplayLink link, ShadowType parent)`
factory method for constructing a subclass of ShadowType appropriate for the graphics API, that also adapts ShadowFunctionType; ShadowType trees are constructed that 'shadow' the MathType trees of Data to be depicted, via recursive calls to buildShadowType() methods of MathType sub-classes, to DataRenderer.makeShadow*Type() methods, to Shadow*Type constructors, then back to buildShadowType() methods; the recursive call chain is initiated by DataDisplayLink.prepareData() calls to buildShadowType() methods of MathType sub-classes;

`(package private) void` `markMissingVisADBranch()`
`void` `setReUseFrames()`
`void` `setReUseFrames(boolean reuse)`
`void` `setSetSetOnReUseFrames(boolean ss)`
`(package private) void` `setVisADBranch(VisADBranchGroup branch)`

Methods inherited from class visad.java3d.DefaultRendererJ3D
`addSwitch, getLink, setLinks`

Methods inherited from class visad.java3d.RendererJ3D
`clearBranch, doAction, flush, getBranch, makeShadowRealTupleType, makeShadowRealType, makeShadowSetType, makeShadowTextType, makeShadowTupleType, setBranchEarly, toggle`

Methods inherited from class visad.DataRenderer

`addException, addPoint, checkAction, checkClose, checkDirect, clearAVControls, clearExceptions, computeRanges, drag_direct, earthToSpatial, earthToSpatial, findRayManifoldIntersection, get_all_feasible, get_any_changed, get_any_transform_control, getBadScale, getDisplay, getDisplayCoordinateSystem, getDisplayRenderer, getEarthDimension, getEarthUnits, getEnabled, getExceptionVector, getIsDirectManipulation, getLastMouseModifiers, getLatLonIndices, getLatLonRange, getLinks, getPickCrawlToCursor, getRanges, getRealVectorTypes, getWhyNotDirect, isLegalTextureMap, isTransformControl, prepareAction, realCheckDirect, release_direct, removeLink, set_all_feasible, setDisplay, setDisplayRenderer, setEarthSpatialData, setEarthSpatialDisplay, setIsDirectManipulation, setLastMouseModifiers, setLatLonIndices, setLinks, setPickCrawlToCursor, setSpatialValues, spatialToEarth, spatialToEarth, stop_direct, suppressExceptions`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### animation1D

    boolean animation1D

### nameMappedToAnimation

    String nameMappedToAnimation

Constructor Detail

### AnimationRendererJ3D

    public AnimationRendererJ3D()

Method Detail

### makeShadowFunctionType

    public ShadowType makeShadowFunctionType(FunctionType type,
                                             DataDisplayLink link,
                                             ShadowType parent)
                                      throws VisADException,
                                             RemoteException

  Description copied from class: `DataRenderer`
  factory method for constructing a subclass of ShadowType appropriate for the graphics API, that also adapts ShadowFunctionType; ShadowType trees are constructed that 'shadow' the MathType trees of Data to be depicted, via recursive calls to buildShadowType() methods of MathType sub-classes, to DataRenderer.makeShadow*Type() methods, to Shadow*Type constructors, then back to buildShadowType() methods; the recursive call chain is initiated by DataDisplayLink.prepareData() calls to buildShadowType() methods of MathType sub-classes;

  Overrides:
    `makeShadowFunctionType` in class `RendererJ3D`
  Throws:
    `VisADException`
    `RemoteException`

### setReUseFrames

    public void setReUseFrames(boolean reuse)

### setReUseFrames

    public void setReUseFrames()

### getReUseFrames

    public boolean getReUseFrames()

### setSetSetOnReUseFrames

    public void setSetSetOnReUseFrames(boolean ss)

### getSetSetOnReUseFrames

    public boolean getSetSetOnReUseFrames()

### clearScene

    public void clearScene()

  Description copied from class: `DataRenderer`
  clear any scene graph created by this DataRenderer, and clear all instance variables

  Overrides:
    `clearScene` in class `DefaultRendererJ3D`

### setVisADBranch

    void setVisADBranch(VisADBranchGroup branch)

### markMissingVisADBranch

    void markMissingVisADBranch()

### doTransform

    public javax.media.j3d.BranchGroup doTransform()
                                            throws VisADException,
                                                   RemoteException

  Description copied from class: `DefaultRendererJ3D`
  create a BranchGroup scene graph for Data in links[0]

  Overrides:
    `doTransform` in class `DefaultRendererJ3D`
  Throws:
    `VisADException`
    `RemoteException`

### clone

    public Object clone()

  Overrides:
    `clone` in class `DefaultRendererJ3D`

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException,
                            IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`